Source language: Translate to:

PhoneGap Build Error

General questions about NeoAppBuilder - our rapid application development tool for building HTML5, web and mobile apps.

Moderator: Neosoft Support

PhoneGap Build Error

Postby PaulTomo » Mon Nov 21, 2016 3:11 pm

Just made a change to one of my test apps and was presented with the following error from Phone Gap.

plugin unsupported: org.apache.cordova.device

This app uses plugins from the PhoneGap Build repository. These plugins won't be accessible after Nov 15th, 2016

Any suggestions on how to get around this?

Thanks
User avatar
PaulTomo
 
Posts: 62
Joined: Tue Apr 28, 2009 1:15 am
Location: UK

Re: PhoneGap Build Error

Postby PaulTomo » Mon Nov 21, 2016 4:30 pm

Okay, I've been trying to solve this and it appears that one or all of the following lines in the compiled Config.xml are causing the failure.

<gap:plugin name="org.apache.cordova.device" />
<gap:plugin name="org.apache.cordova.media" />
<gap:plugin name="org.apache.cordova.device-orientation" />


I have removed them all and so far can't see any issue with the app, so I guess this change needs to be added in the next update and perhaps anything to do with "org.apache.cordova" needs to be removed when compiling in future.

Out of interest, when will the next update be with us?

Thanks
User avatar
PaulTomo
 
Posts: 62
Joined: Tue Apr 28, 2009 1:15 am
Location: UK

Re: PhoneGap Build Error

Postby Neosoft Support » Wed Nov 23, 2016 6:29 pm

Sorry about that. We'll have to figure out a workaround for the next update.
NeoSoft Support
Neosoft Support
NeoSoft Team
 
Posts: 5602
Joined: Thu Mar 31, 2005 10:48 pm
Location: Oregon, USA


Return to General NeoAppBuilder Discussion

Who is online

Users browsing this forum: No registered users and 1 guest

cron